Last Comment Bug 491835 - Add entry for allow/disable/remember geolocation to Permissions tab in Page Info
: Add entry for allow/disable/remember geolocation to Permissions tab in Page Info
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.0b2
Assigned To: Philip Chee
:
Mentors:
Depends on: 488472 491732
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 04:14 PDT by Robert Kaiser
Modified: 2009-07-20 08:52 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 straight port [Checkin: Comment 7] (5.09 KB, patch)
2009-07-10 20:00 PDT, Philip Chee
neil: review+
neil: superreview+
Details | Diff | Splinter Review

Description Robert Kaiser 2009-05-07 04:14:00 PDT
We should add allow/disable/remember geolocation to the Permissions tab in Page Info, just as Firefox did in bug 491732. The conversion from content pref to permissions service in there sounds like a good idea as well.
Comment 1 Philip Chee 2009-07-10 20:00:09 PDT
Created attachment 388020 [details] [diff] [review]
Patch v1.0 straight port
[Checkin: Comment 7]

Taking bug.

> The conversion from content pref to
> permissions service in there sounds like a good idea as well.

Appears to have been fixed in some other bug.

> We should add allow/disable/remember geolocation to the Permissions tab in Page
> Info, just as Firefox did in bug 491732.

I tested this against google maps. The Google geolocation service found the right country but the wrong state and placed me right in the middle of a major highway, but I guess that's a google bug not ours.
Comment 2 Robert Kaiser 2009-07-11 04:58:07 PDT
(In reply to comment #1)
> > The conversion from content pref to
> > permissions service in there sounds like a good idea as well.
> 
> Appears to have been fixed in some other bug.

Yes, we pulled, that into the the other one.

> > We should add allow/disable/remember geolocation to the Permissions tab in Page
> > Info, just as Firefox did in bug 491732.
> 
> I tested this against google maps. The Google geolocation service found the
> right country but the wrong state and placed me right in the middle of a major
> highway, but I guess that's a google bug not ours.

Yes, what location you get is completely up to Google.
Comment 3 neil@parkwaycc.co.uk 2009-07-11 15:43:43 PDT
Comment on attachment 388020 [details] [diff] [review]
Patch v1.0 straight port
[Checkin: Comment 7]

Firefox are getting good at this ;-)
Comment 4 Philip Chee 2009-07-11 20:30:41 PDT
> Firefox are getting good at this ;-)
Well I did fix the broken ARIA/focus stuff that I fixed in the rest of our Permissions tab, and that is still broken in Firefox ;-)
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2009-07-13 10:25:11 PDT
(In reply to comment #4)
> > Firefox are getting good at this ;-)
> Well I did fix the broken ARIA/focus stuff that I fixed in the rest of our
> Permissions tab, and that is still broken in Firefox ;-)

Have you filed a bug?
Comment 6 Philip Chee 2009-07-14 02:50:59 PDT
In reply to comment #5)
> Have you filed a bug?

Filed Bug 504053
Comment 7 Serge Gautherie (:sgautherie) 2009-07-20 08:13:46 PDT
Comment on attachment 388020 [details] [diff] [review]
Patch v1.0 straight port
[Checkin: Comment 7]


http://hg.mozilla.org/comm-central/rev/16d40cae21eb

Note You need to log in before you can comment on or make changes to this bug.